Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81086 - wrong code in windows.jl
Summary: wrong code in windows.jl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: sawfish
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-04 01:29 UTC by Gérard Milmeister
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-28 23:27:33 UTC


Attachments (Terms of Use)
Patch against sawfish-1.2 to fix windows.jl (deleted)
2003-01-13 05:11 UTC, Nathan G. Grennan
no flags Details

Description Gérard Milmeister 2003-01-04 01:29:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021128

Description of problem:
The code for adjust-position-for-gravity/y
in windows.jl must be:

    (let* ((tl-off (cdr (window-frame-offset w)))

instead of:

    (let* ((tl-off (window-frame-offset w))



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:

Comment 1 Nathan G. Grennan 2003-01-08 15:16:42 UTC
Ran into this with mplayer-0.90rc2.

Comment 2 Havoc Pennington 2003-01-13 03:59:51 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103319


Comment 3 Nathan G. Grennan 2003-01-13 04:50:31 UTC
It isn't a feature request as your reported in the gnome bug. Without the fix
when using mplayer-0.90rc2 and pressing f for fullscreen it doesn't fullscreen
right, gives an error in .xsession-errors, and beeps(sign of error).

If you so don't want to maintain sawfish in RedHat why don't you just drop the
package and then everyone will move on.

Comment 4 Nathan G. Grennan 2003-01-13 05:00:52 UTC
Here is a message to me from John Harper on the sawfish mailing list back in
November saying he fixed this in CVS. Should you could try using CVS instead of
the offical 1.2 release, like you have done in the past.

http://lists.eazel.com/pipermail/sawfish/2002-November/004243.html

Comment 5 Havoc Pennington 2003-01-13 05:06:36 UTC
We are packaging Sawfish (maintaining the spec file, tracking new versions,
passing bugs along to upstream), but not much beyond that. Some people like to
have it in RPM format on the CD. I don't see the harm in that.

I'm not sure what other changes would come with a CVS snap, so I'd prefer to
stick to something that's known to mostly work, as I don't have any firsthand
knowledge.


Comment 6 Nathan G. Grennan 2003-01-13 05:11:30 UTC
Created attachment 89330 [details]
Patch against sawfish-1.2 to fix windows.jl

Comment 7 Nathan G. Grennan 2003-01-13 05:15:28 UTC
I am one of the people that does like it included on the cd. But I would rather
have it not on the CD so that someone else actually does maintain it at
something like FreshRPMS or FalseHope instead of letting it rott in the
distribution.

I have attched the above patch in hopes that you will include it, and if not for
others who are attached to this bug report or might find it in the future.

Comment 8 Havoc Pennington 2003-01-13 05:20:19 UTC
OK, will put in the patch.

Comment 9 Havoc Pennington 2003-01-28 23:27:33 UTC
In 1.2-4


Note You need to log in before you can comment on or make changes to this bug.